.ad l
.nh
.TH identify 1 "1 May 1994" "ImageMagick"
.SH NAME
identify - describe the format and characteristics of one or more image
files.
.SH SYNOPSIS
.B "identify"
[ \fIoptions\fP ... ] \fIfile\fP [ \fIfile\fP ... ]
.SH DESCRIPTION
\fBidentify\fP describes the format and characteristics of one or more image
files.  It will also report if an image is incomplete or corrupt.
The information displayed includes the scene number, the file name, the
width and height of the image, whether the image is colormapped or not,
the number of colors in the image, the number of bytes in the image, the
format of the image (JPEG, PNM, etc.), and finally the number of seconds
it took to read and process the image.  An example line output from
\fBidentify\fP follows:

    images/aquarium.miff 640x480 PseudoClass 256c 308135b MIFF 1s

If \fB-verbose\fP is set, expect additional output including any image
comment:

    Image: images/aquarium.miff
      class: PseudoClass
      colors: 256
      signature: eb5dca81dd93ae7e6ffae99a5275a53e
      matte: False
      geometry: 640x480
      depth: 8
      bytes: 308135
      format: MIFF
      comments:

        Imported from MTV raster image:  aquarium.mtv
.SH OPTIONS
.TP
.B -verbose
print detailed information about the image.

This information is printed:  image name;  the image class
(\fIDirectClass\fP or \fIPseudoClass\fP);  the total number of unique
colors; whether there is a matte associated with the image; the number
of runlength packets; the image size; the depth of the image; the image
format; the image scene; and finally any image comment.  Refer to
\fBmiff(1)\fP for a description of the image class.
.SH SEE ALSO
.B
display(1), animate(1), montage(1), mogrify(1), convert(1),
combine(1), xtp(1)
.SH COPYRIGHT
Copyright 1997 E. I. du Pont de Nemours and Company
.PP
Permission to use, copy, modify, distribute, and sell this software and
its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of E. I. du Pont de Nemours
and Company not be used in advertising or publicity pertaining to
distribution of the software without specific, written prior
permission.  E. I. du Pont de Nemours and Company makes no representations
about the suitability of this software for any purpose.  It is provided
"as is" without express or implied warranty.
.PP
E. I. du Pont de Nemours and Company disclaims all warranties with regard
to this software, including all implied warranties of merchantability
and fitness, in no event shall E. I. du Pont de Nemours and Company be
liable for any special, indirect or consequential damages or any
damages whatsoever resulting from loss of use, data or profits, whether
in an action of contract, negligence or other tortious action, arising
out of or in connection with the use or performance of this software.
.SH AUTHORS
John Cristy, E.I. du Pont De Nemours and Company Incorporated
